Bug 250274 - net/openbgpd6: update 6.6.0 -> 6.8.0, fix -fno-common
Summary: net/openbgpd6: update 6.6.0 -> 6.8.0, fix -fno-common
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: buildisok
Depends on:
Blocks: 248756
  Show dependency treegraph
 
Reported: 2020-10-11 15:38 UTC by Kurt Jaeger
Modified: 2020-10-22 05:24 UTC (History)
0 users

See Also:


Attachments
patch (8.84 KB, patch)
2020-10-11 15:38 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2020-10-11 15:38:27 UTC
Created attachment 218667 [details]
patch

testbuilds are fine, needs run-tests
Comment 1 Automation User 2020-10-11 16:34:54 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/201071028
Comment 2 Kurt Jaeger freebsd_committer 2020-10-21 11:53:57 UTC
Committed, thanks.
Comment 3 commit-hook freebsd_committer 2020-10-21 11:54:07 UTC
A commit references this bug:

Author: pi
Date: Wed Oct 21 11:53:37 UTC 2020
New revision: 552864
URL: https://svnweb.freebsd.org/changeset/ports/552864

Log:
  net/openbgpd6: update 6.6.0 -> 6.8.0, fix -fno-common

  6.8.0:
  - In bgpctl(8), the "reload" command now takes a 'reason' argument
    to use as Administrative Shutdown Communication to its neighbors.
  - Added bgpctl(8) support for VPNv6 in the family option of the
    "show rib" command.
  - Added bgpctl(8) support for JSON formatted output in various
    "show" commands.
  - Support to build OpenBGPD on Alpine Linux added

  6.7.0:
  - Add initial support for JSON output in bgpctl(8).
  - Allow setting both IPv4 and IPv6 local-addresses at the same
    time in bgpd.conf group blocks.  Introduced 'no local-address'
    to reset a previously set local address.
  - Properly aggregate duplicate bgpd(8) roa table prefix/source-as
    combinations into a single entry with the longest maxlen length.
  - Implemented bgpd.conf(5) max-prefix NUM out to limit the number
    of announced prefixes, avoiding leaks of full tables to upstreams
    and peers.
  - Extended bgpctl(8) 'show neighbor' to include the received and set
    prefix count, as well as the max-prefix out limit if set.
  - Improved reporting of notifications to include the suberror cause.
  - Also report the last received error cause in bgpctl(8) show neighbor
    output.
  - Fix softreconfig out handling to also work for neighbors using
    'export default-route'.
  - Mark stale prefixes in the Adj-RIB-Out so that graceful reload
    operates properly.
  - Made it possible to build OpenBGPD-portable with bison. There is
    no longer the need to use byacc on Linux distributions.
  - Support for --runstatedir to specify the location of the bgpctl.sock.
  - Cleaned up configure script for better protability.

  See also:
    https://github.com/openbgpd-portable/openbgpd-portable/issues/8

  PR:		250274

Changes:
  head/net/openbgpd6/Makefile
  head/net/openbgpd6/distinfo
  head/net/openbgpd6/files/patch-Makefile.am
  head/net/openbgpd6/files/patch-src__bgpctl__output_json.c
  head/net/openbgpd6/files/patch-src_bgpctl_output.c
  head/net/openbgpd6/files/patch-src_bgpd_bgpd.c
  head/net/openbgpd6/files/patch-src_bgpd_bgpd.h
  head/net/openbgpd6/files/patch-src_bgpd_rde.c
  head/net/openbgpd6/files/patch-src_bgpd_session.c
  head/net/openbgpd6/files/patch-src_bgpd_session.h
Comment 4 commit-hook freebsd_committer 2020-10-22 05:24:29 UTC
A commit references this bug:

Author: pi
Date: Thu Oct 22 05:23:38 UTC 2020
New revision: 552927
URL: https://svnweb.freebsd.org/changeset/ports/552927

Log:
  MFH: r552864

  net/openbgpd6: update 6.6.0 -> 6.8.0, fix -fno-common

  6.8.0:
  - In bgpctl(8), the "reload" command now takes a 'reason' argument
    to use as Administrative Shutdown Communication to its neighbors.
  - Added bgpctl(8) support for VPNv6 in the family option of the
    "show rib" command.
  - Added bgpctl(8) support for JSON formatted output in various
    "show" commands.
  - Support to build OpenBGPD on Alpine Linux added

  6.7.0:
  - Add initial support for JSON output in bgpctl(8).
  - Allow setting both IPv4 and IPv6 local-addresses at the same
    time in bgpd.conf group blocks.  Introduced 'no local-address'
    to reset a previously set local address.
  - Properly aggregate duplicate bgpd(8) roa table prefix/source-as
    combinations into a single entry with the longest maxlen length.
  - Implemented bgpd.conf(5) max-prefix NUM out to limit the number
    of announced prefixes, avoiding leaks of full tables to upstreams
    and peers.
  - Extended bgpctl(8) 'show neighbor' to include the received and set
    prefix count, as well as the max-prefix out limit if set.
  - Improved reporting of notifications to include the suberror cause.
  - Also report the last received error cause in bgpctl(8) show neighbor
    output.
  - Fix softreconfig out handling to also work for neighbors using
    'export default-route'.
  - Mark stale prefixes in the Adj-RIB-Out so that graceful reload
    operates properly.
  - Made it possible to build OpenBGPD-portable with bison. There is
    no longer the need to use byacc on Linux distributions.
  - Support for --runstatedir to specify the location of the bgpctl.sock.
  - Cleaned up configure script for better protability.

  See also:
    https://github.com/openbgpd-portable/openbgpd-portable/issues/8

  PR:		250274
  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/net/openbgpd6/Makefile
  branches/2020Q4/net/openbgpd6/distinfo
  branches/2020Q4/net/openbgpd6/files/patch-Makefile.am
  branches/2020Q4/net/openbgpd6/files/patch-src__bgpctl__output_json.c
  branches/2020Q4/net/openbgpd6/files/patch-src_bgpctl_output.c
  branches/2020Q4/net/openbgpd6/files/patch-src_bgpd_bgpd.c
  branches/2020Q4/net/openbgpd6/files/patch-src_bgpd_bgpd.h
  branches/2020Q4/net/openbgpd6/files/patch-src_bgpd_rde.c
  branches/2020Q4/net/openbgpd6/files/patch-src_bgpd_session.c
  branches/2020Q4/net/openbgpd6/files/patch-src_bgpd_session.h